#!/bin/sh

## ************ Begin Standard Header - Do not add comments here ***********
## 
## File:     uninstall.sh
## Version:  1.0
## Modified: Feb/15/2007
## Build:    1 0
## 
## "This sample program is provided AS IS and may be used, executed,
##  copied and modified without royalty payment by customer (a) for its 
##  own instruction and study, (b) in order to develop applications 
##  designed to run with Solution Installation for Autonomic Computing,
##  either for customer's own internal use or for redistribution by
##  customer, as part of such an application, in customer's own products."
## 
## ACOM-SIT
## 
## (C) COPYRIGHT IBM CORP. 2006.
## All Rights Reserved * Licensed Materials - Property of IBM
## 
## ************************* End Standard Header ***************************

## IZ07743 - removed HOMEDIR setting, cd'd to $0/.. before executing
##           manageiu.sh instead.
## 81475   - "cd $0/.." doesn't work for Unix.  Must use 'dirname'.
HOME_DIR=`dirname $0`
cd $HOME_DIR

## IZ05183 - require an argument = the discriminant for the fixpack
## 81745   - If no argument then use "/opt/IBM/FIM" as the discriminant, 
##           the value TFIMUI 1.3 registered TFIM 6.1.1 under.
if [ -z "$1" ] ; then
    DISCRIMINANT=/opt/IBM/FIM
else
    DISCRIMINANT="$1"
fi

# IZ23753 LG Handle both root and nonroot uninstalls
# 89017 - fixed the logic to not use $UID
ENVIRONMENT=/var/ibm/common/acsi/setenv.sh
uname=`uname -s`
if [ "$LOGNAME" != "root" ] ; then
    ENVIRONMENT="${HOME}/.acsi_${LOGNAME}/setenv.sh"
fi

if [ -z "$ACU_COMMON" ] ; then
    if [ -f  $ENVIRONMENT ] ; then
        . $ENVIRONMENT
    else
        echo "Before calling this installation script please call setenv.sh"
        exit 1
    fi
fi

echo "###################################################################"
echo "# Starting removal of: Tivoli Federated Identity Manager Fixpack  #"
echo "###################################################################"
# IZ23365 - use "-f" instead of "-e" because Solaris doesn't have "-e"
if [ -f ../META-INF/packagedIU.xml ] ; then
    manageIU.sh -o undo -r "$DISCRIMINANT" -p ../META-INF/packagedIU.xml -i variables
else
    manageIU.sh -o delete -r "$DISCRIMINANT" -d RootIUTypeID[cc05dc31804627bba6e6661c48bf1a81,6.1.1.10]
fi


