#!/bin/ksh
# @(#)29  1.2 src/cmdline/staging/examples/test_import.sh, amws.cmdline, fim611, 060808b 5/4/06 18:57:42
# (C) Copyright International Business Machines Corporation 2005. All rights
# reserved.  U.S. Government Users Restricted Rights -- Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# This file demonstrates how the staging utilites may be used
# to import a federation and partner with properties
# changes given in the $fed_props and $partner_props files
#
basedir=/opt/IBM/FIM/tools/staging
scriptdir=$basedir/scripts
exampledir=$basedir/examples
bindir=$basedir/bin
fimadmin=$bindir/FIMAdmin_no_was_sec.sh
source_domain=$exampledir/source.properties
target_domain=$exampledir/target.properties
fed_name=saml11sp
partner_name="saml11sp partner"
fed_props=$exampledir/saml11sp.properties
partner_props=$exampledir/saml11sp-partner.properties

cd $scriptdir
echo "Current version of FIM is:"
$fimadmin get_current_version.py $target_domain
$fimadmin delete_federations.py $target_domain $fed_name
$fimadmin import_federation.py $source_domain $target_domain $fed_props $fed_name
$fimadmin show_federation.py $target_domain $fed_name
$fimadmin import_partner.py $source_domain $target_domain $partner_props $fed_name "$partner_name"
$fimadmin show_partner.py $target_domain $fed_name "$partner_name"
